Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStructuredGridReader Class Reference

`#include <vtkStructuredGridReader.h>`

Inheritance diagram for vtkStructuredGridReader:

[legend]
Collaboration diagram for vtkStructuredGridReader:

[legend]
List of all members.

## Detailed Description

read vtk structured grid data file

Date:
  2002/05/31 23:12:41

Revision:
  1.46

vtkStructuredGridReader is a source object that reads ASCII or binary structured grid data files in vtk format. (see text for format details). The output of this reader is a single vtkStructuredGrid data object. The superclass of this class, vtkDataReader, provides many methods for controlling the reading of the data file, see vtkDataReader for more information.

Warning:
  Binary files written on one system may not be readable on other systems.

See also:
  vtkStructuredGrid vtkDataReader

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (60%)
  - Lorensen, Bill (10%)
  - Martin, Ken (10%)
  - Law, Charles (9%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkStructuredGridReader.h)`
  - .`cxx` (`/IO/vtkStructuredGridReader.cxx)`

Examples:
  vtkStructuredGridReader (Examples)

Tests:
  vtkStructuredGridReader (Tests)

Definition at line 60 of file vtkStructuredGridReader.h.

## Public Types
typedef vtkDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkStructuredGrid * | GetOutput ()
vtkStructuredGrid * | GetOutput (int idx)
void | SetOutput (vtkStructuredGrid *output)
## Static Public Methods
vtkStructuredGridReader * | New ()
int | IsTypeOf (const char *type)
vtkStructuredGridReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkStructuredGridReader ()
| ~vtkStructuredGridReader ()
void | ExecuteInformation ()
void | Execute ()

## Member Typedef Documentation

typedef vtkDataReader vtkStructuredGridReader::Superclass

| Reimplemented from vtkDataReader. Definition at line 64 of file vtkStructuredGridReader.h.

## Constructor & Destructor Documentation

vtkStructuredGridReader::vtkStructuredGridReader | ( |  | ) | `[protected]`

vtkStructuredGridReader::~vtkStructuredGridReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkStructuredGridReader* vtkStructuredGridReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkDataReader.

virtual const char* vtkStructuredGridReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataReader.

int vtkStructuredGridReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataReader.

virtual int vtkStructuredGridReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataReader.

vtkStructuredGridReader* vtkStructuredGridReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataReader.

void vtkStructuredGridReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataReader.

vtkStructuredGrid* vtkStructuredGridReader::GetOutput | ( |  | ) |

| Get the output of this reader.

vtkStructuredGrid* vtkStructuredGridReader::GetOutput | ( | int | idx | ) | `[inline]`

| Get the output of this reader. Reimplemented from vtkSource. Definition at line 70 of file vtkStructuredGridReader.h. References vtkSource::GetOutput().

void vtkStructuredGridReader::SetOutput | ( | vtkStructuredGrid * | output | ) |

| Get the output of this reader.

void vtkStructuredGridReader::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkStructuredGridReader::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

The documentation for this class was generated from the following file:

- IO/vtkStructuredGridReader.h